Building cromwell 31

Trying to build cromwell 31. Running:
$/apps/0.13.16 assembly

Getting the following:

[info]  [SUCCESSFUL ] org.scalaz#scalaz-effect_2.10;7.2.16!scalaz-effect_2.10.jar(bundle) (237ms)
[info] Done updating.
[info] Compiling 7 Scala sources to /ifs/rcgroups/ccgd/software/cromwell-31/project/target/scala-2.10/sbt-0.13/classes...
[info] 'compiler-interface' not yet compiled for Scala 2.10.6. Compiling...
[info]   Compilation completed in 9.778 s
[info] Resolving key references (27238 settings) ...
usage: git ls-remote [--heads] [--tags]  [-u <exec> | --upload-pack <exec>] <repository> <refs>...
java.util.NoSuchElementException: head of empty stream
    at scala.collection.immutable.Stream$Empty$.head(Stream.scala:1028)
    at scala.collection.immutable.Stream$Empty$.head(Stream.scala:1026)
    at com.typesafe.sbt.SbtGit$$anonfun$buildSettings$11.apply(SbtGit.scala:138)
    at com.typesafe.sbt.SbtGit$$anonfun$buildSettings$11.apply(SbtGit.scala:122)
    at sbt.Init$Value$$anonfun$apply$13.apply(Settings.scala:609)
    at sbt.EvaluateSettings$$anonfun$sbt$EvaluateSettings$$constant$1.apply(INode.scala:163)
    at sbt.EvaluateSettings$$anonfun$sbt$EvaluateSettings$$constant$1.apply(INode.scala:163)
    at sbt.EvaluateSettings$MixedNode.evaluate0(INode.scala:175)
    at sbt.EvaluateSettings$INode.evaluate(INode.scala:135)
    at sbt.EvaluateSettings$$anonfun$sbt$EvaluateSettings$$submitEvaluate$1.apply$mcV$sp(INode.scala:69)
    at sbt.EvaluateSettings.sbt$EvaluateSettings$$run0(INode.scala:78)
    at sbt.EvaluateSettings$$anon$3.run(INode.scala:74)
    at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1142)
    at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:617)
    at java.lang.Thread.run(Thread.java:745)
[error] java.util.NoSuchElementException: head of empty stream

My github is connected to the server I am on. Any thoughts on how to remedy?

Tagged:

Best Answers

Answers

  • danbdanb Member, Broadie

    hi @afrieden , looks like there's an issue w/ the sbt git plugin. Do you have git installed?

  • afriedenafrieden Cambridge, MAMember
    edited May 7

    Hi @danb, thanks for replying. Yes I have it installed:

    $ git --version
    git version 1.7.1
    
  • danbdanb Member, Broadie

    hm, looks like they had some unsafe behavior and they've since changed it.

    A couple ideas:
    1) run "git ls-remote --get-url origin" manually, which is what the plugin is trying to do.
    2) Try bumping the sbt-git plugin's version to "1.0.0" in project/plugins.sbt, looks like they've made it a bit more safe here.

  • afriedenafrieden Cambridge, MAMember

    So I added the sbt-git plugin to plugins.sbt:

    addSbtPlugin("se.marcuslonnberg" % "sbt-docker" % "1.5.0")
    addSbtPlugin("com.eed3si9n" % "sbt-assembly" % "0.14.5")
    addSbtPlugin("io.spray" % "sbt-revolver" % "0.9.0")
    addSbtPlugin("com.typesafe.sbt" % "sbt-git" % "0.9.3")
    addSbtPlugin("com.github.gseitz" % "sbt-release" % "1.0.6")
    addSbtPlugin("org.scoverage" % "sbt-scoverage" % "1.5.1")
    addSbtPlugin("org.xerial.sbt" % "sbt-pack" % "0.9.1")
    // TODO: This plugin is part of SBT 1.x. Remove it after upgrading.
    // https://github.com/sbt/sbt-doge/issues/18
    addSbtPlugin("com.eed3si9n" % "sbt-doge" % "0.1.5")
    addSbtPlugin("io.get-coursier" % "sbt-coursier" % "1.0.0-RC13")
    addSbtPlugin("com.typesafe.sbt" % "sbt-git" % "1.0.0")
    

    And I get the following error on sbt assembly

    [info] Compiling 1 Scala source to /ifs/rcgroups/ccgd/software/cromwell-31-build/cromwell/project/target/scala-2.10/sbt-0.13/classes...
    [error] /ifs/rcgroups/ccgd/software/cromwell-31-build/cromwell/project/Version.scala:2: object typesafe is not a member of package com
    [error] import com.typesafe.sbt.SbtGit._
    [error]            ^
    [error] /ifs/rcgroups/ccgd/software/cromwell-31-build/cromwell/project/Version.scala:13: not found: value git
    [error]       git.versionProperty in ThisBuild := "project.version",
    [error]       ^
    [error] /ifs/rcgroups/ccgd/software/cromwell-31-build/cromwell/project/Version.scala:14: not found: value git
    [error]       git.baseVersion in ThisBuild := cromwellVersion,
    [error]       ^
    [error] /ifs/rcgroups/ccgd/software/cromwell-31-build/cromwell/project/Version.scala:17: not found: value git
    [error]           versionProperty = git.versionProperty.value,
    [error]                             ^
    [error] /ifs/rcgroups/ccgd/software/cromwell-31-build/cromwell/project/Version.scala:20: not found: value GitCommand
    [error]       shellPrompt in ThisBuild := { state => "%s| %s> ".format(GitCommand.prompt.apply(state), cromwellVersion) }
    [error]                                                                ^
    [error] 5 errors found
    [error] (compile:compileIncremental) Compilation failed
    
  • afriedenafrieden Cambridge, MAMember

    @danb getting the following error. Possibly I have an outdated version of another dependency?

    java.lang.VerifyError: Uninitialized object exists on backward branch 209
    Exception Details:
      Location:
        scala/collection/immutable/HashMap$HashTrieMap.split()Lscala/collection/immutable/Seq; @249: goto
      Reason:
        Error exists in the bytecode
      Bytecode:
        0x0000000: 2ab6 0060 04a0 001e b200 b8b2 00bd 04bd
        0x0000010: 0002 5903 2a53 c000 bfb6 00c3 b600 c7c0
        0x0000020: 00c9 b02a b600 36b8 0040 3c1b 04a4 015e
        0x0000030: 1b05 6c3d 2a1b 056c 2ab6 0036 b700 cb3e
        0x0000040: 2ab6 0036 021d 787e 3604 2ab6 0036 0210
        0x0000050: 201d 647c 7e36 05bb 0019 59b2 00bd 2ab6
        0x0000060: 0038 c000 bfb6 00cf b700 d21c b600 d63a
        0x0000070: 0619 06c6 001a 1906 b600 dac0 0086 3a07
        0x0000080: 1906 b600 ddc0 0086 3a08 a700 0dbb 00df
        0x0000090: 5919 06b7 00e2 bf19 073a 0919 083a 0abb
        0x00000a0: 0002 5915 0419 09bb 0019 59b2 00bd 1909
        0x00000b0: c000 bfb6 00cf b700 d203 b800 e83a 0e3a
        0x00000c0: 0d03 190d b900 ec01 0019 0e3a 1136 1036
        0x00000d0: 0f15 0f15 109f 0027 150f 0460 1510 190d
        0x00000e0: 150f b900 ef02 00c0 0005 3a17 1911 1917
        0x00000f0: b800 f33a 1136 1036 0fa7 ffd8 1911 b800
        0x0000100: f7b7 0065 3a0b bb00 0259 1505 190a bb00
        0x0000110: 1959 b200 bd19 0ac0 00bf b600 cfb7 00d2
        0x0000120: 03b8 00e8 3a13 3a12 0319 12b9 00ec 0100
        0x0000130: 1913 3a16 3615 3614 1514 1515 9f00 2715
        0x0000140: 1404 6015 1519 1215 14b9 00ef 0200 c000
        0x0000150: 053a 1819 1619 18b8 00fa 3a16 3615 3614
        0x0000160: a7ff d819 16b8 00f7 b700 653a 0cb2 00ff
        0x0000170: b200 bd05 bd00 0259 0319 0b53 5904 190c
        0x0000180: 53c0 00bf b600 c3b6 0102 b02a b600 3803
        0x0000190: 32b6 0104 b0
      Stackmap Table:
    
  • danbdanb Member, Broadie

    Can you run clean and then compile? also, did you reload when you updated the git plugin dependency?

  • afriedenafrieden Cambridge, MAMember

    reload and clean went fine.

    Went to compile and errored out

    [info] Resolving org.scala-sbt#interface;0.13.16 ...
    java.lang.VerifyError: Uninitialized object exists on backward branch 209
    Exception Details:
      Location:
        scala/collection/immutable/HashMap$HashTrieMap.split()Lscala/collection/immutable/Seq; @249: goto
      Reason:
        Error exists in the bytecode
    
Sign In or Register to comment.